System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

A class that implements the interface has no behavior except to dynamically manufacture new instances of classes that implement the interface.

Defines the contract that class factories must implement to create new objects.

- Method
  System.Web.IHttpHandler `` `` `` `` To be added

  Returns an instance of a class that implements the interface.

  A new object that processes the request.

  An instance of the class that provides references to intrinsic server objects (for example, Request, Response, Session, and Server) used to service HTTP requests. The HTTP data transfer method (GET or POST) that the client uses. The of the requested resource. The to the requested resource. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Enables a factory to reuse an existing handler instance.

  The object to reuse. 1.0.5000.0 2.0.0.0